## gnome-snapshot 46.2

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Snapshot. One of "default" or "development".'
)

=== debian/changelog ===
gnome-snapshot (46.2-1ubuntu2) noble; urgency=medium

  * Updates to salsa-ci configuration
  * Revert new dependency on pipewire-v4l2: does not appear to be required

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Apr 2024 09:17:38 -0400

gnome-snapshot (46.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian (LP: #2061508). Remaining changes:
    - Drop 2 revert dependency patches not needed for Ubuntu
    - Bump minimum GTK4 to 4.13.6
    - Vendor Rust crate build dependencies into debian/missing-sources/
    - Add debian/source/include-binaries
    - Add patch to build with vendored crates
    - Disable librust Build-Depends
    - Add XS-Vendored-Sources-Rust field
    - Simplify debian/rules
    - Add debian/README.source
  * Update vendoring: missing-sources, include-binaries,
    XS-Vendored-Sources-Rust

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 17:13:23 -0400

gnome-snapshot (46.2-1) unstable; urgency=medium

  * New upstream release
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 16:50:12 -0400

gnome-snapshot (46.0-2) unstable; urgency=medium

  * Cherry-pick patch for caps preference
  * Depend on pipewire-v4l2, too

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 04 Apr 2024 15:21:16 +0200

gnome-snapshot (46.0-1ubuntu1) noble; urgency=medium

  * Resync with Debian.
  * Branch for Ubuntu
  * Drop 2 revert dependency patches not needed for Ubuntu
  * Bump minimum GTK4 to 4.13.6
  * Vendor Rust crate build dependencies into debian/missing-sources/
  * Add debian/source/include-binaries
  * Add patch to build with vendored crates
  * Disable librust Build-Depends
  * Add XS-Vendored-Sources-Rust field
  * Simplify debian/rules
  * Add debian/README.source

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Mar 2024 10:25:56 -0400

gnome-snapshot (46.0-1) unstable; urgency=medium

  * New upstream release
  * Revert a few more commits that require newer versions
  * Update remove-portal patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Mar 2024 08:42:10 -0400

gnome-snapshot (46~beta-2) unstable; urgency=medium

  * Increase build test timeout

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 12:34:17 -0500

gnome-snapshot (46~beta-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new release
  * Temporarily revert switch to rust-gtk4 0.8
  * Add patch to disable clippy tests since Rust is changing
    too quickly for these to be useful now for distros
  * Revert "Add rust-clippy to Build-Depends for build test"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 10:28:44 -0500

gnome-snapshot (45.2-5) unstable; urgency=medium

  * Add rust-clippy to Build-Depends for build test
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 17 Feb 2024 12:03:55 -0500

gnome-snapshot (45.2-4) experimental; urgency=medium

  * Rename binary package from generic 'snapshot' to 'gnome-snapshot'
    - This was intended by the choice of source package name but
      accidentally missed
  * Add temporary Breaks/Replaces/Provides to help upgrade
    the few people using this app already

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 13:42:40 -0500

gnome-snapshot (45.2-3) unstable; urgency=medium

  * Cherry-pick various improvements in the Aperture library
  * Cherry-pick proposed patch to disable using the camera portal
    since it does not work well yet
  * Drop now unused Build-Depends: rust-ashpd
  * salsa-ci.yml: Disable blhc

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 13:38:41 -0500

gnome-snapshot (45.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 16:21:42 -0500

gnome-snapshot (45.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1053308)

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 17 Dec 2023 19:10:55 +0100

=== debian/control ===
Source: gnome-snapshot
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59),
 desktop-file-utils,
 libglib2.0-dev (>= 2.75),
 libgtk-4-dev (>= 4.13.6),
 libadwaita-1-dev (>= 1.4.0),
 libgstreamer1.0-dev (>= 1.20),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 cargo:native,
 rustc:native (>= 1.70),
 libstd-rust-dev,
# librust-anyhow-1+default-dev,
# librust-aperture+default-dev,
# librust-async-std-1+default-dev (>= 1.12.0-~~),
# librust-async-std-1+unstable-dev (>= 1.12.0-~~),
# librust-futures-channel-0.3+default-dev (>= 0.3.26-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-gst-plugin-gtk4-0.11-dev,
# librust-gstreamer-0.21+default-dev,
# librust-gstreamer-0.21+v1-20-dev,
# librust-gstreamer-pbutils-0.21-dev,
# librust-gtk4-0.7+default-dev,
# librust-gtk4-0.7+gnome-45-dev,
# librust-libadwaita-0.5+default-dev,
# librust-libadwaita-0.5+v1-4-dev,
# librust-log-0.4+default-dev,
# librust-once-cell-1+default-dev (>= 1.17-~~),
# librust-tracing-subscriber-0.3+default-dev
XS-Vendored-Sources-Rust: aho-corasick@1.1.2, android-tzdata@0.1.1, android_system_properties@0.1.5, anyhow@1.0.80, async-channel@2.2.0, atomic_refcell@0.1.13, autocfg@1.1.0, bitflags@2.4.2, block@0.1.6, bumpalo@3.15.3, cairo-rs@0.19.2, cairo-sys-rs@0.19.2, cc@1.0.88, cfg-expr@0.15.7, cfg-if@1.0.0, chrono@0.4.34, concurrent-queue@2.4.0, core-foundation-sys@0.8.6, crossbeam-utils@0.8.19, either@1.10.0, equivalent@1.0.1, event-listener-strategy@0.5.0, event-listener@5.1.0, field-offset@0.3.6, futures-channel@0.3.30, futures-core@0.3.30, futures-executor@0.3.30, futures-io@0.3.30, futures-macro@0.3.30, futures-task@0.3.30, futures-util@0.3.30, gdk-pixbuf-sys@0.19.0, gdk-pixbuf@0.19.2, gdk4-sys@0.8.0, gdk4-wayland-sys@0.8.0, gdk4-wayland@0.8.0, gdk4-win32-sys@0.8.0, gdk4-win32@0.8.0, gdk4-x11-sys@0.8.0, gdk4-x11@0.8.0, gdk4@0.8.0, gettext-rs@0.7.0, gettext-sys@0.21.3, gio-sys@0.19.0, gio@0.19.2, glib-macros@0.19.2, glib-sys@0.19.0, glib@0.19.2, gobject-sys@0.19.0, graphene-rs@0.19.2, graphene-sys@0.19.0, gsk4-sys@0.8.0, gsk4@0.8.0, gst-plugin-gtk4@0.12.1, gst-plugin-version-helper@0.8.1, gstreamer-audio-sys@0.22.0, gstreamer-audio@0.22.0, gstreamer-base-sys@0.22.0, gstreamer-base@0.22.0, gstreamer-gl-egl-sys@0.22.0, gstreamer-gl-egl@0.22.0, gstreamer-gl-sys@0.22.0, gstreamer-gl-wayland-sys@0.22.0, gstreamer-gl-wayland@0.22.0, gstreamer-gl-x11-sys@0.22.0, gstreamer-gl-x11@0.22.0, gstreamer-gl@0.22.0, gstreamer-pbutils-sys@0.22.0, gstreamer-pbutils@0.22.0, gstreamer-sys@0.22.2, gstreamer-video-sys@0.22.1, gstreamer-video@0.22.1, gstreamer@0.22.2, gtk4-macros@0.8.0, gtk4-sys@0.8.0, gtk4@0.8.0, hashbrown@0.14.3, heck@0.4.1, iana-time-zone-haiku@0.1.2, iana-time-zone@0.1.60, indexmap@2.2.3, itertools@0.12.1, js-sys@0.3.68, lazy_static@1.4.0, libadwaita-sys@0.6.0, libadwaita@0.6.0, libc@0.2.153, locale_config@0.3.0, log@0.4.20, malloc_buf@0.0.6, memchr@2.7.1, memoffset@0.9.0, muldiv@1.0.1, nu-ansi-term@0.46.0, num-integer@0.1.46, num-rational@0.4.1, num-traits@0.2.18, objc-foundation@0.1.1, objc@0.2.7, objc_id@0.1.1, once_cell@1.19.0, option-operations@0.5.0, overload@0.1.1, pango-sys@0.19.0, pango@0.19.2, parking@2.2.0, paste@1.0.14, pin-project-lite@0.2.13, pin-utils@0.1.0, pkg-config@0.3.30, proc-macro-crate@3.1.0, proc-macro-error-attr@1.0.4, proc-macro-error@1.0.4, proc-macro2@1.0.78, quote@1.0.35, regex-automata@0.4.5, regex-syntax@0.8.2, regex@1.10.3, rustc_version@0.4.0, semver@1.0.22, serde@1.0.197, serde_derive@1.0.197, serde_spanned@0.6.5, sharded-slab@0.1.7, slab@0.4.9, smallvec@1.13.1, syn@1.0.109, syn@2.0.51, system-deps@6.2.0, target-lexicon@0.12.14, temp-dir@0.1.12, thiserror-impl@1.0.57, thiserror@1.0.57, thread_local@1.1.8, toml@0.8.10, toml_datetime@0.6.5, toml_edit@0.21.1, toml_edit@0.22.6, tracing-core@0.1.32, tracing-log@0.2.0, tracing-subscriber@0.3.18, unicode-ident@1.0.12, valuable@0.1.0, version-compare@0.1.1, version_check@0.9.4, wasm-bindgen-backend@0.2.91, wasm-bindgen-macro-support@0.2.91, wasm-bindgen-macro@0.2.91, wasm-bindgen-shared@0.2.91, wasm-bindgen@0.2.91, winapi-i686-pc-windows-gnu@0.4.0, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-core@0.52.0, windows-sys@0.52.0, windows-targets@0.52.3, windows_aarch64_gnullvm@0.52.3, windows_aarch64_msvc@0.52.3, windows_i686_gnu@0.52.3, windows_i686_msvc@0.52.3, windows_x86_64_gnu@0.52.3, windows_x86_64_gnullvm@0.52.3, windows_x86_64_msvc@0.52.3, winnow@0.5.40, winnow@0.6.2
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/GNOME/snapshot
Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/snapshot
Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/snapshot.git

Package: gnome-snapshot
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 pipewire,
 gstreamer1.0-pipewire,
 gstreamer1.0-libcamera,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
Breaks: snapshot (<< 45.2-4~)
Replaces: snapshot (<< 45.2-4~)
Provides: snapshot (= ${binary:Version}),
Description: Take pictures and videos from your webcam
 snapshot is an app that allows you to take pictures and videos
 with your system's camera. It became GNOME's default webcam app
 in GNOME 45.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

execute_before_dh_auto_build:
	mkdir -p debian/missing-sources/system-deps/src/tests/lib/
	touch debian/missing-sources/system-deps/src/tests/lib/libteststatic.a

execute_after_dh_auto_build:
	rm -rf debian/missing-sources/system-deps/src/tests/lib/

## gnome-snapshot 47~beta

=== meson_options.txt ===
--- 
+++ 
@@ -8,3 +8,10 @@
   value: 'default',
   description: 'The build profile for Snapshot. One of "default" or "development".'
 )
+
+option(
+  'portal',
+  type: 'boolean',
+  value: false,
+  description: 'Enables the usage of the XDG Camera Portal. By default this is Disabled. This is subject to change in a future major release'
+)

=== debian/changelog ===
gnome-snapshot (47~beta-2ubuntu3) questing; urgency=medium

  * Add Depends: gstreamer1.0-gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Jun 2025 09:23:45 -0400

gnome-snapshot (47~beta-2ubuntu2) oracular; urgency=medium

  * Remove Depends: gstreamer1.0-gtk4, unnecessary with our vendoring

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 11:08:34 -0400

gnome-snapshot (47~beta-2ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Drop a revert dependency patch not needed for Ubuntu
    - Vendor Rust crate build dependencies into debian/missing-sources/
    - Add debian/source/include-binaries
    - Add patch to build with vendored crates
    - Disable librust Build-Depends
    - Add XS-Vendored-Sources-Rust field
    - Simplify debian/rules
    - Add debian/README.source
  * Update vendoring: missing-sources, include-binaries,
    XS-Vendored-Sources-Rust
  * Update debian/README.source to avoid workspace error
  * Add Build-Depends: libseccomp-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Sep 2024 16:12:24 -0400

gnome-snapshot (47~beta-2) experimental; urgency=medium

  * d/rules: disable lto on armel/hf (Closes: #1080323)

 -- Matthias Geiger <werdahias@debian.org>  Mon, 02 Sep 2024 23:41:21 +0200

gnome-snapshot (47~beta-1) experimental; urgency=medium

  * Team upload

  [ Matthias Geiger ]
  * New upstream release
  * Updated my mail address in d/control, d/copyright
  * d/copyright: Updated copyright years
  * d/control: updated build-dependencies from Cargo.toml for new upstream
  * d/control: depend on gstreamer1.0-gtk4 >= 0.13
  * d/patches/fix-meson-build: rebase for new upstream release; squash with disable-clippy-tests patch
  * d/control: Depend on libadwaita >= 1.6~beta

  [ Jeremy Bícha ]
  * Add patch to use gnome_46 featureset since we aren't ready for gnome_47 yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Aug 2024 16:16:37 -0400

gnome-snapshot (46.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1070419)
  * Bump Standards-Version to 4.7.0; no changes needed
  * d/control: Updated build-dependecies from Cargo.toml

 -- Matthias Geiger <werdahias@debian.org>  Thu, 01 Aug 2024 21:41:56 +0200

gnome-snapshot (46.2-3) experimental; urgency=medium

  * Bump minimum GTK4 to 4.13.6

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 Apr 2024 14:15:31 -0400

gnome-snapshot (46.2-2) experimental; urgency=medium

  * Build with rust-gtk4 0.8 and drop the 2 revert patches
  * Revert "Depend on pipewire-v4l2": doesn't appear to help at all

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 Apr 2024 12:59:40 -0400

gnome-snapshot (46.2-1ubuntu3) oracular; urgency=medium

  * No change rebuild to pick up the Rust frame pointers change (LP: #2075280)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 31 Jul 2024 15:49:45 +0800

=== debian/control ===
Source: gnome-snapshot
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59),
 desktop-file-utils,
 libglib2.0-dev (>= 2.75),
 libgtk-4-dev (>= 4.14),
 libadwaita-1-dev (>= 1.6~beta),
 libgstreamer1.0-dev (>= 1.20),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 libseccomp-dev,
 cargo:native,
 rustc:native (>= 1.70),
# libstd-rust-dev,
# librust-anyhow-1+default-dev,
# librust-aperture+default-dev,
# librust-futures-channel-0.3+default-dev (>= 0.3.26-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-glycin-2.0+gdk4-dev,
# librust-glycin-2.0+default-dev,
# librust-gstreamer-0.23+default-dev,
# librust-gstreamer-0.23+v1-20-dev,
# librust-gstreamer-pbutils-0.23-dev,
# librust-gstreamer-video-0.23+default-dev,
# librust-gst-plugin-gtk4-0.13+gtk-v4-14-dev,
# librust-gtk4-0.9+default-dev,
# librust-gtk4-0.9+gnome-46-dev,
# librust-libadwaita-0.7+default-dev,
# librust-libadwaita-0.7+v1-6-dev,
# librust-log-0.4+default-dev,
# librust-once-cell-1+default-dev (>= 1.19-~~),
# librust-tracing-subscriber-0.3+default-dev
XS-Vendored-Sources-Rust: aho-corasick@1.1.3, android-tzdata@0.1.1, android_system_properties@0.1.5, anstream@0.6.15, anstyle-parse@0.2.5, anstyle-query@1.1.1, anstyle-wincon@3.0.4, anstyle@1.0.8, anyhow@1.0.86, ashpd@0.9.1, async-broadcast@0.7.1, async-channel@2.3.1, async-executor@1.13.0, async-fs@2.1.2, async-io@2.3.4, async-lock@3.4.0, async-net@2.0.0, async-process@2.2.4, async-recursion@1.1.1, async-signal@0.2.10, async-task@4.7.1, async-trait@0.1.81, atomic-waker@1.1.2, atomic_refcell@0.1.13, autocfg@1.3.0, bitflags@1.3.2, bitflags@2.6.0, block-buffer@0.10.4, block@0.1.6, blocking@1.6.1, bumpalo@3.16.0, bytemuck@1.16.3, byteorder@1.5.0, cairo-rs@0.20.1, cairo-sys-rs@0.20.0, cc@1.1.11, cfg-expr@0.15.8, cfg-if@1.0.0, cfg_aliases@0.2.1, chrono@0.4.38, colorchoice@1.0.2, concurrent-queue@2.5.0, core-foundation-sys@0.8.7, cpufeatures@0.2.13, crossbeam-utils@0.8.20, crypto-common@0.1.6, digest@0.10.7, dlib@0.5.2, dunce@1.0.5, either@1.13.0, endi@1.1.0, enumflags2@0.7.10, enumflags2_derive@0.7.10, env_filter@0.1.2, env_logger@0.11.5, equivalent@1.0.1, errno@0.3.9, event-listener-strategy@0.5.2, event-listener@5.3.1, fastrand@2.1.0, field-offset@0.3.6, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, form_urlencoded@1.2.1, futures-channel@0.3.30, futures-core@0.3.30, futures-executor@0.3.30, futures-io@0.3.30, futures-lite@2.3.0, futures-macro@0.3.30, futures-sink@0.3.30, futures-task@0.3.30, futures-timer@3.0.3, futures-util@0.3.30, gdk-pixbuf-sys@0.20.1, gdk-pixbuf@0.20.1, gdk4-sys@0.9.0, gdk4-wayland-sys@0.9.0, gdk4-wayland@0.9.0, gdk4-win32-sys@0.9.0, gdk4-win32@0.9.0, gdk4-x11-sys@0.9.0, gdk4-x11@0.9.0, gdk4@0.9.0, generic-array@0.14.7, getrandom@0.2.15, gettext-rs@0.7.0, gettext-sys@0.21.3, gio-sys@0.20.1, gio@0.20.1, glib-macros@0.20.1, glib-sys@0.20.1, glib@0.20.1, glycin-utils@2.0.0-beta, glycin@2.0.0-beta, gobject-sys@0.20.1, graphene-rs@0.20.1, graphene-sys@0.20.1, gsk4-sys@0.9.0, gsk4@0.9.0, gst-plugin-gtk4@0.13.0, gst-plugin-version-helper@0.8.2, gstreamer-allocators-sys@0.23.0, gstreamer-allocators@0.23.0, gstreamer-audio-sys@0.23.0, gstreamer-audio@0.23.0, gstreamer-base-sys@0.23.0, gstreamer-base@0.23.0, gstreamer-gl-egl-sys@0.23.0, gstreamer-gl-egl@0.23.0, gstreamer-gl-sys@0.23.0, gstreamer-gl-wayland-sys@0.23.0, gstreamer-gl-wayland@0.23.0, gstreamer-gl-x11-sys@0.23.0, gstreamer-gl-x11@0.23.0, gstreamer-gl@0.23.0, gstreamer-pbutils-sys@0.23.0, gstreamer-pbutils@0.23.0, gstreamer-sys@0.23.0, gstreamer-video-sys@0.23.0, gstreamer-video@0.23.0, gstreamer@0.23.0, gtk4-macros@0.9.0, gtk4-sys@0.9.0, gtk4@0.9.0, gufo-common@0.1.0, gufo-exif@0.1.1, hashbrown@0.14.5, heck@0.5.0, hermit-abi@0.4.0, hex@0.4.3, humantime@2.1.0, iana-time-zone-haiku@0.1.2, iana-time-zone@0.1.60, idna@0.5.0, indexmap@2.4.0, is_terminal_polyfill@1.70.1, itertools@0.13.0, jobserver@0.1.32, js-sys@0.3.70, lazy_static@1.5.0, lcms2-sys@4.0.5, lcms2@6.1.0, libadwaita-sys@0.7.0, libadwaita@0.7.0, libc@0.2.155, libloading@0.8.5, libseccomp-sys@0.2.1, libseccomp@0.3.0, linux-raw-sys@0.4.14, locale_config@0.3.0, log@0.4.22, malloc_buf@0.0.6, memchr@2.7.4, memfd@0.6.4, memmap2@0.9.4, memoffset@0.9.1, muldiv@1.0.1, nix@0.29.0, nu-ansi-term@0.46.0, num-integer@0.1.46, num-rational@0.4.2, num-traits@0.2.19, objc-foundation@0.1.1, objc@0.2.7, objc_id@0.1.1, once_cell@1.19.0, option-operations@0.5.0, ordered-stream@0.2.0, overload@0.1.1, pango-sys@0.20.1, pango@0.20.1, parking@2.2.0, paste@1.0.15, percent-encoding@2.3.1, pin-project-lite@0.2.14, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.30, polling@3.7.3, ppv-lite86@0.2.20, proc-macro-crate@3.1.0, proc-macro2@1.0.86, quote@1.0.36, rand@0.8.5, rand_chacha@0.3.1, rand_core@0.6.4, regex-automata@0.4.7, regex-syntax@0.8.4, regex@1.10.6, rmp-serde@1.3.0, rmp@0.8.14, rustc_version@0.4.0, rustix@0.38.34, semver@1.0.23, serde@1.0.207, serde_derive@1.0.207, serde_repr@0.1.19, serde_spanned@0.6.7, sha1@0.10.6, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.2, slab@0.4.9, smallvec@1.13.2, static_assertions@1.1.0, syn@2.0.74, system-deps@7.0.1, target-lexicon@0.12.16, temp-dir@0.1.13, tempfile@3.12.0, thiserror-impl@1.0.63, thiserror@1.0.63, thread_local@1.1.8, tinyvec@1.8.0, tinyvec_macros@0.1.1, toml@0.8.19, toml_datetime@0.6.8, toml_edit@0.21.1, toml_edit@0.22.20, tracing-attributes@0.1.27, tracing-core@0.1.32, tracing-log@0.2.0, tracing-subscriber@0.3.18, tracing@0.1.40, typenum@1.17.0, uds_windows@1.1.0, unicode-bidi@0.3.15, unicode-ident@1.0.12, unicode-normalization@0.1.23, url@2.5.2, utf8parse@0.2.2, valuable@0.1.0, version-compare@0.2.0, version_check@0.9.5, wasi@0.11.0+wasi-snapshot-preview1, wasm-bindgen-backend@0.2.93, wasm-bindgen-macro-support@0.2.93, wasm-bindgen-macro@0.2.93, wasm-bindgen-shared@0.2.93, wasm-bindgen@0.2.93, winapi-i686-pc-windows-gnu@0.4.0, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-core@0.52.0, windows-sys@0.52.0, windows-sys@0.59.0, windows-targets@0.52.6, windows_aarch64_gnullvm@0.52.6, windows_aarch64_msvc@0.52.6, windows_i686_gnu@0.52.6, windows_i686_gnullvm@0.52.6, windows_i686_msvc@0.52.6, windows_x86_64_gnu@0.52.6, windows_x86_64_gnullvm@0.52.6, windows_x86_64_msvc@0.52.6, winnow@0.5.40, winnow@0.6.18, xdg-home@1.3.0, yeslogic-fontconfig-sys@6.0.0, zbus@4.4.0, zbus_macros@4.4.0, zbus_names@3.0.0, zerocopy-derive@0.7.35, zerocopy@0.7.35, zvariant@4.2.0, zvariant_derive@4.2.0, zvariant_utils@2.1.0
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/GNOME/snapshot
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/snapshot
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/snapshot.git
Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/snapshot
Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/snapshot.git

Package: gnome-snapshot
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 pipewire,
 gstreamer1.0-gtk4 (>= 0.13),
 gstreamer1.0-pipewire,
 gstreamer1.0-libcamera,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
Breaks: snapshot (<< 45.2-4~)
Replaces: snapshot (<< 45.2-4~)
Provides: snapshot (= ${binary:Version}),
Description: Take pictures and videos from your webcam
 snapshot is an app that allows you to take pictures and videos
 with your system's camera. It became GNOME's default webcam app
 in GNOME 45.

## gnome-snapshot 47.1

=== debian/changelog ===
gnome-snapshot (47.1-3) unstable; urgency=medium

  * d/control: Depend on gstreamer1.0-gl, too (Closes: #1087051)

 -- Matthias Geiger <werdahias@debian.org>  Sun, 10 Nov 2024 15:36:32 +0100

gnome-snapshot (47.1-2) unstable; urgency=medium

  * d/rules: disable lto for all 32-bit arches
  * d/rules: Simplify by including dpkg/default.mk
  * d/control: Depend on missing gstreamer1.0-plugins-bad

 -- Matthias Geiger <werdahias@debian.org>  Thu, 24 Oct 2024 19:52:34 +0200

gnome-snapshot (47.1-1) unstable; urgency=medium

  * New upstream release
  * Remove pipewiredeviceprovider patch; applied upstream

 -- Matthias Geiger <werdahias@debian.org>  Tue, 15 Oct 2024 21:30:04 +0200

gnome-snapshot (47.0.1-5) unstable; urgency=medium

  * d/rules: Increase timeout multiplier for tests to 4 since the build times 
    out on riscv

 -- Matthias Geiger <werdahias@debian.org>  Fri, 04 Oct 2024 20:31:09 +0200

gnome-snapshot (47.0.1-4) unstable; urgency=medium

  * Team upload
  * Remove obsolete patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 03 Oct 2024 18:01:35 -0400

gnome-snapshot (47.0.1-3) unstable; urgency=medium

  * Cherry-pick upstream patch fixing camera selection

 -- Matthias Geiger <werdahias@debian.org>  Thu, 03 Oct 2024 18:51:33 +0200

gnome-snapshot (47.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Fri, 20 Sep 2024 12:22:08 +0200

gnome-snapshot (47.0.1-1) experimental; urgency=medium

  * New upstream release (Closes: #1081895)
  * d/p/relax-deps.diff: Refresh for new upstream
  * d/p/fix-meson-build.diff: refresh for new upstream
  * d/rules: Explicitly enable x11 and portal feature, depend on ashpd in d/control for portal feature

 -- Matthias Geiger <werdahias@debian.org>  Wed, 18 Sep 2024 22:19:47 +0200

=== debian/control ===
Source: gnome-snapshot
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59),
 desktop-file-utils,
 libglib2.0-dev (>= 2.75),
 libgtk-4-dev (>= 4.14),
 libadwaita-1-dev (>= 1.6~beta),
 libgstreamer1.0-dev (>= 1.20),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 cargo:native,
 rustc:native (>= 1.70),
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
# librust-aperture+default-dev,
 librust-ashpd-0.9+gtk4-wayland-dev,
 librust-ashpd-0.9+tracing-dev,
 librust-ashpd-0.9+default-dev,
 librust-futures-channel-0.3+default-dev (>= 0.3.26-~~),
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-glycin-2.0+gdk4-dev,
 librust-glycin-2.0+default-dev,
 librust-gstreamer-0.23+default-dev,
 librust-gstreamer-0.23+v1-20-dev,
 librust-gstreamer-pbutils-0.23-dev,
 librust-gstreamer-video-0.23+default-dev,
 librust-gst-plugin-gtk4-0.13+gtk-v4-14-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+gnome-46-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-6-dev,
 librust-log-0.4+default-dev,
 librust-once-cell-1+default-dev (>= 1.19-~~),
 librust-tracing-subscriber-0.3+default-dev
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/GNOME/snapshot
Vcs-Browser: https://salsa.debian.org/gnome-team/snapshot
Vcs-Git: https://salsa.debian.org/gnome-team/snapshot.git

Package: gnome-snapshot
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 pipewire,
 gstreamer1.0-gtk4 (>= 0.13),
 gstreamer1.0-pipewire,
 gstreamer1.0-libcamera,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-gl,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
Breaks: snapshot (<< 45.2-4~)
Replaces: snapshot (<< 45.2-4~)
Provides: snapshot (= ${binary:Version}),
Description: Take pictures and videos from your webcam
 snapshot is an app that allows you to take pictures and videos
 with your system's camera. It became GNOME's default webcam app
 in GNOME 45.

## gnome-snapshot 48.0

=== debian/changelog ===
gnome-snapshot (48.0-2) unstable; urgency=medium

  * d/control: Recommend libcamera-ipa (Closes: #1100616)
  * d/control: Recommend libspa-0.2-libcamera, too
  * d/control: Mention QR scanning functionality in long description

 -- Matthias Geiger <werdahias@debian.org>  Sat, 22 Mar 2025 21:23:53 +0100

gnome-snapshot (48.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patch bumping ashpd, applied upstream
  * d/control: Bump minumum glycin dependency

 -- Matthias Geiger <werdahias@debian.org>  Fri, 14 Mar 2025 21:45:58 +0100

gnome-snapshot (48~beta-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Salsa CI: Ignore reprotest failure

  [ Matthias Geiger ]
  * Add patch to build with ashpd 0.11
  * Bump S-V to 4.7.2; no changes needed
  * Build against newer glycin (Closes: #1099235)

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Mar 2025 21:33:47 +0100

gnome-snapshot (48~beta-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Thu, 13 Feb 2025 16:46:04 +0100

gnome-snapshot (48~beta-1) experimental; urgency=medium

  * New upstream release
  * d/control: Update dependencies with debcargo, run wrap-and-sort
  * Update d/copyright

 -- Matthias Geiger <werdahias@debian.org>  Sat, 08 Feb 2025 19:57:31 +0100

## gnome-snapshot 48.0.1

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Snapshot. One of "default" or "development".'
)

option(
  'portal',
  type: 'boolean',
  value: true,
  description: 'Enables the usage of the XDG Camera Portal.'
)

option(
  'x11',
  type: 'feature',
  description: 'Enable X11 specific features.'
)

=== debian/changelog ===
gnome-snapshot (48.0.1-1) unstable; urgency=medium

  * New upstream release
  * Salsa CI: stop disabling reproducibility test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Mar 2025 18:36:17 -0400

=== debian/control ===
Source: gnome-snapshot
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cargo:native,
 libstd-rust-dev,
 meson (>= 0.59),
 rustc:native (>= 1.80),
 desktop-file-utils,
 libadwaita-1-dev (>= 1.6~beta),
 libglib2.0-dev (>= 2.75),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 libgstreamer1.0-dev (>= 1.20),
 libgtk-4-dev (>= 4.14),
 librust-anyhow-1+default-dev,
# librust-aperture+default-dev,
 librust-ashpd-0.11+default-dev,
 librust-futures-channel-0.3+default-dev (>= 0.3.30-~~),
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-glycin-2+default-dev (>= 2.1.0-1),
 librust-glycin-2+gdk4-dev (>= 2.1.0-1),
 librust-gstreamer-0.23+default-dev,
 librust-gstreamer-0.23+v1-20-dev,
 librust-gstreamer-base-0.23+default-dev,
 librust-gstreamer-pbutils-0.23+default-dev,
 librust-gstreamer-video-0.23+default-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+gnome-46-dev,
 librust-gtk4-0.9+gnome-47-dev,
 librust-gtk4-0.9+v4-16-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-7-dev,
 librust-log-0.4+default-dev,
 librust-rqrr-0.9-dev,
 librust-tracing-subscriber-0.3+default-dev,
Standards-Version: 4.7.2
Homepage: https://gitlab.gnome.org/GNOME/snapshot
Vcs-Browser: https://salsa.debian.org/gnome-team/snapshot
Vcs-Git: https://salsa.debian.org/gnome-team/snapshot.git

Package: gnome-snapshot
Architecture: any
Multi-Arch: foreign
Depends:
 gstreamer1.0-gl,
 gstreamer1.0-gtk4 (>= 0.13),
 gstreamer1.0-libcamera,
 gstreamer1.0-pipewire,
 gstreamer1.0-plugins-bad,
 pipewire,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 snapshot (<< 45.2-4~)
Replaces:
 snapshot (<< 45.2-4~)
Provides:
 snapshot (= ${binary:Version})
Recommends: libcamera-ipa, libspa-0.2-libcamera
Description: Take pictures and videos from your webcam
 snapshot is an app that allows you to take pictures and videos
 with your system's camera. It became GNOME's default webcam app
 in GNOME 45. Furthermore, it allows for scanning and decoding of QR
 codes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry

# Disable lto on 32-bit arches since it OOMs otherwise
execute_before_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH_BITS),32)
export DEB_BUILD_OPTIONS += optimize=-lto
endif

# Pass DEB_HOST_RUST type to meson to build
override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
	-Dprofile="default" \
	-Dx11=enabled \
	-Dportal=true

override_dh_auto_test:
	dh_auto_test --  --timeout-multiplier 4

## gnome-snapshot 49~alpha

=== debian/changelog ===
gnome-snapshot (49~alpha-0ubuntu2) questing; urgency=medium

  * Depend on gstreamer1.0-plugins-good instead of -bad

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Jul 2025 18:21:00 -0400

gnome-snapshot (49~alpha-0ubuntu1) questing; urgency=medium

  * Sync with Debian (LP: #2112004)
  * New upstream release
  * Disable librust Build-Depends
  * Add debian/README.source
  * Add custom vendor rule in debian/rules
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Add XS-Vendored-Sources-Rust
  * Add Build-Depends: liblcms2-dev, libseccomp-dev
  * Bump minimum rustc to 1.85
  * Remove obsolete configure option
  * Revert adoption of AdwShortcutsDialog since we don't have libadwaita 1.8 yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Jul 2025 18:04:41 -0400

=== debian/control ===
Source: gnome-snapshot
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cargo:native,
 libstd-rust-dev,
 meson (>= 0.59),
 quilt,
 rustc:native (>= 1.85),
 desktop-file-utils,
 libadwaita-1-dev (>= 1.6~beta),
 libglib2.0-dev (>= 2.75),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 libgstreamer1.0-dev (>= 1.20),
 libgtk-4-dev (>= 4.14),
 liblcms2-dev,
 libseccomp-dev,
# librust-anyhow-1+default-dev,
# librust-aperture+default-dev,
# librust-ashpd-0.11+default-dev,
# librust-futures-channel-0.3+default-dev (>= 0.3.30-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-glycin-2+default-dev (>= 2.1.0-1),
# librust-glycin-2+gdk4-dev (>= 2.1.0-1),
# librust-gstreamer-0.23+default-dev,
# librust-gstreamer-0.23+v1-20-dev,
# librust-gstreamer-base-0.23+default-dev,
# librust-gstreamer-pbutils-0.23+default-dev,
# librust-gstreamer-video-0.23+default-dev,
# librust-gtk4-0.9+default-dev,
# librust-gtk4-0.9+gnome-46-dev,
# librust-gtk4-0.9+gnome-47-dev,
# librust-gtk4-0.9+v4-16-dev,
# librust-libadwaita-0.7+default-dev,
# librust-libadwaita-0.7+v1-7-dev,
# librust-log-0.4+default-dev,
# librust-rqrr-0.9-dev,
# librust-tracing-subscriber-0.3+default-dev,
Standards-Version: 4.7.2
Homepage: https://gitlab.gnome.org/GNOME/snapshot
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/snapshot
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/snapshot.git
Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/snapshot
Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/snapshot.git
XS-Vendored-Sources-Rust: aho-corasick@1.1.3, allocator-api2@0.2.21, anyhow@1.0.98, ashpd@0.11.0, async-broadcast@0.7.2, async-channel@2.3.1, async-executor@1.13.2, async-fs@2.1.2, async-io@2.4.1, async-lock@3.4.0, async-net@2.0.0, async-process@2.3.1, async-signal@0.2.11, async-task@4.7.1, async-trait@0.1.88, atomic-waker@1.1.2, atomic_refcell@0.1.13, autocfg@1.5.0, bitflags@1.3.2, bitflags@2.9.1, blocking@1.6.1, bytemuck@1.23.1, byteorder@1.5.0, cairo-rs@0.20.12, cairo-sys-rs@0.20.10, cc@1.2.27, cfg-expr@0.20.0, cfg-if@1.0.1, cfg_aliases@0.2.1, concurrent-queue@2.5.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, displaydoc@0.2.5, dlib@0.5.2, dunce@1.0.5, either@1.15.0, endi@1.1.0, enumflags2@0.7.12, enumflags2_derive@0.7.12, env_filter@0.1.3, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.13, event-listener-strategy@0.5.4, event-listener@5.4.0, fastrand@2.3.0, field-offset@0.3.6, foldhash@0.1.5, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, form_urlencoded@1.2.1, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.0, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, g2gen@1.2.2, g2p@1.2.2, g2poly@1.2.2, gdk-pixbuf-sys@0.20.10, gdk-pixbuf@0.20.10, gdk4-sys@0.9.6, gdk4-wayland-sys@0.9.6, gdk4-wayland@0.9.6, gdk4-x11-sys@0.9.6, gdk4-x11@0.9.6, gdk4@0.9.6, getrandom@0.3.3, gettext-rs@0.7.2, gettext-sys@0.22.5, gio-sys@0.20.10, gio@0.20.12, glib-macros@0.20.12, glib-sys@0.20.10, glib@0.20.12, glycin-utils@4.0.0-alpha.4, glycin@3.0.0-alpha.5, gobject-sys@0.20.10, graphene-rs@0.20.10, graphene-sys@0.20.10, gsk4-sys@0.9.6, gsk4@0.9.6, gstreamer-audio-sys@0.23.6, gstreamer-audio@0.23.6, gstreamer-base-sys@0.23.6, gstreamer-base@0.23.6, gstreamer-pbutils-sys@0.23.5, gstreamer-pbutils@0.23.5, gstreamer-sys@0.23.6, gstreamer-video-sys@0.23.6, gstreamer-video@0.23.6, gstreamer@0.23.7, gtk4-macros@0.9.5, gtk4-sys@0.9.6, gtk4@0.9.7, gufo-common@0.3.0-alpha, gufo-exif@0.3.0-alpha, half@2.6.0, hashbrown@0.15.4, heck@0.5.0, hex@0.4.3, icu_collections@2.0.0, icu_locale_core@2.0.0, icu_normalizer@2.0.0, icu_normalizer_data@2.0.0, icu_properties@2.0.1, icu_properties_data@2.0.1, icu_provider@2.0.0, idna@1.0.3, idna_adapter@1.2.1, indexmap@2.10.0, itertools@0.14.0, jiff@0.2.15, jobserver@0.1.33, lazy_static@1.5.0, lcms2-sys@4.0.5, lcms2@6.1.0, libadwaita-sys@0.7.2, libadwaita@0.7.2, libc@0.2.174, libloading@0.8.8, libseccomp-sys@0.2.1, libseccomp@0.3.0, linux-raw-sys@0.4.15, linux-raw-sys@0.9.4, litemap@0.8.0, locale_config@0.3.0, log@0.4.27, lru@0.12.5, memchr@2.7.5, memfd@0.6.4, memmap2@0.9.5, memoffset@0.9.1, muldiv@1.0.1, nix@0.29.0, nu-ansi-term@0.46.0, num-integer@0.1.46, num-rational@0.4.2, num-traits@0.2.19, once_cell@1.21.3, option-operations@0.5.0, ordered-stream@0.2.0, overload@0.1.1, pango-sys@0.20.10, pango@0.20.12, parking@2.2.1, paste@1.0.15, percent-encoding@2.3.1, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, polling@3.8.0, potential_utf@0.1.2, ppv-lite86@0.2.21, proc-macro-crate@3.3.0, proc-macro2@1.0.95, quote@1.0.40, rand@0.9.1, rand_chacha@0.9.0, rand_core@0.9.3, rayon-core@1.12.1, rayon@1.10.0, regex-automata@0.4.9, regex-syntax@0.8.5, regex@1.11.1, rmp-serde@1.3.0, rmp@0.8.14, rqrr@0.9.3, rustc_version@0.4.1, rustix@0.38.44, rustix@1.0.7, semver@1.0.26, serde@1.0.219, serde_derive@1.0.219, serde_repr@0.1.20, serde_spanned@0.6.9, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.5, slab@0.4.10, smallvec@1.15.1, stable_deref_trait@1.2.0, static_assertions@1.1.0, syn@2.0.104, synstructure@0.13.2, system-deps@7.0.5, target-lexicon@0.13.2, temp-dir@0.1.16, thiserror-impl@2.0.12, thiserror@2.0.12, thread_local@1.1.9, tinystr@0.8.1, toml@0.8.23, toml_datetime@0.6.11, toml_edit@0.22.27, tracing-attributes@0.1.30, tracing-core@0.1.34, tracing-log@0.2.0, tracing-subscriber@0.3.19, tracing@0.1.41, unicode-ident@1.0.18, url@2.5.4, utf8_iter@1.0.4, version-compare@0.2.0, winnow@0.7.11, writeable@0.6.1, xdg-home@1.3.0, yeslogic-fontconfig-sys@6.0.0, yoke-derive@0.8.0, yoke@0.8.0, zbus@5.5.0, zbus_macros@5.5.0, zbus_names@4.2.0, zerocopy@0.8.26, zerofrom-derive@0.1.6, zerofrom@0.1.6, zerotrie@0.2.2, zerovec-derive@0.11.1, zerovec@0.11.2, zvariant@5.4.0, zvariant_derive@5.4.0, zvariant_utils@3.2.0

Package: gnome-snapshot
Architecture: any
Multi-Arch: foreign
Depends:
 gstreamer1.0-gl,
 gstreamer1.0-gtk4 (>= 0.13),
 gstreamer1.0-libcamera,
 gstreamer1.0-pipewire,
 gstreamer1.0-plugins-good,
 pipewire,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 snapshot (<< 45.2-4~)
Replaces:
 snapshot (<< 45.2-4~)
Provides:
 snapshot (= ${binary:Version})
Recommends: libcamera-ipa, libspa-0.2-libcamera
Description: Take pictures and videos from your webcam
 snapshot is an app that allows you to take pictures and videos
 with your system's camera. It became GNOME's default webcam app
 in GNOME 45. Furthermore, it allows for scanning and decoding of QR
 codes.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export PATH := /usr/share/cargo/bin:$(PATH)
 export CARGO=/usr/share/cargo/bin/cargo
 export CARGO_HOME=$(CURDIR)/debian/cargo_home
+export CARGO_VENDOR_DIR = $(CURDIR)/debian/missing-sources
 export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
@@ -25,13 +26,29 @@
 
 # Pass DEB_HOST_RUST type to meson to build
 override_dh_auto_configure:
-	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
+	$(CARGO) prepare-debian $(CARGO_VENDOR_DIR)
 	rm -f Cargo.lock
 	dh_auto_configure -- \
 	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
 	-Dprofile="default" \
-	-Dx11=enabled \
-	-Dportal=true
+	-Dx11=enabled
 
 override_dh_auto_test:
 	dh_auto_test --  --timeout-multiplier 4
+
+vendor:
+	dh_quilt_patch
+	rm -rf $(CARGO_VENDOR_DIR)
+	CARGO_HOME= $(CARGO) vendor-filterer --platform='*-*-linux-gnu' --platform '*-*-linux-gnueabi' \
+	  --exclude-crate-path system-deps#src/tests/lib/libteststatic.a --all-features \
+	  $(CARGO_VENDOR_DIR)
+	git add -f $(CARGO_VENDOR_DIR)
+	git commit -m "Update vendored rust crates" || true
+	git reset --hard && git clean -fdx
+
+	uscan --download-current-version --destdir=..
+	rm debian/source/include-binaries
+	dpkg-source --include-binaries -b .
+	git add debian/source/include-binaries
+	git commit -m "Update debian/source/include-binaries" || true
+	git reset --hard && git clean -fdx

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://gitlab.gnome.org/api/v4/projects/GNOME%2Fsnapshot/releases \
 https://gitlab.gnome.org/GNOME/snapshot/-/archive/[\d.]+?(?:beta|rc)?[\d.]*/\
 snapshot-([\d.]+?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

## gnome-snapshot 49~rc

=== debian/changelog ===
gnome-snapshot (49~rc-2) experimental; urgency=medium

  * d/control: Add artifical pinning on librust-libseccomp to fix build

 -- Matthias Geiger <werdahias@debian.org>  Tue, 02 Sep 2025 16:06:54 +0200

gnome-snapshot (49~rc-1) experimental; urgency=medium

  * New upstream release
  * d/patches: Refresh
  * d/control: Update B-Ds
  * d/rules: Disable portal build option, it does not exist anymore
  * d/control, d/rules: Enable (Static-)Built-Using

 -- Matthias Geiger <werdahias@debian.org>  Tue, 02 Sep 2025 14:25:23 +0200

=== debian/control ===
Source: gnome-snapshot
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 cargo:native,
 libstd-rust-dev,
 meson (>= 0.59),
 rustc:native (>= 1.80),
 desktop-file-utils,
 libadwaita-1-dev (>= 1.8~alpha),
 libglib2.0-dev (>= 2.75),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 libgstreamer1.0-dev (>= 1.20),
 libgtk-4-dev (>= 4.18),
 librust-anyhow-1+default-dev,
# librust-aperture+default-dev,
 librust-ashpd-0.12+async-std-dev,
 librust-ashpd-0.12+default-dev,
 librust-ashpd-0.12+gtk4-wayland-dev,
 librust-ashpd-0.12+tracing-dev,
 librust-futures-channel-0.3+default-dev (>= 0.3.30-~~),
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-glycin-3+default-dev (>= 3.0.0~rc-1),
 librust-glycin-3+gdk4-dev (>= 3.0.0~rc-1),
 librust-gstreamer-0.24+default-dev,
 librust-gstreamer-0.24+v1-20-dev,
 librust-gstreamer-base-0.24+default-dev,
 librust-gstreamer-pbutils-0.24+default-dev,
 librust-gstreamer-video-0.24+default-dev,
 librust-gtk4-0.10+default-dev,
 librust-gtk4-0.10+gnome-46-dev,
 librust-gtk4-0.10+gnome-47-dev,
 librust-gtk4-0.10+v4-18-dev,
 librust-libadwaita-0.8+default-dev,
 librust-libadwaita-0.8+v1-8-dev,
 librust-log-0.4+default-dev,
 librust-rqrr-0.10-dev,
 librust-tracing-subscriber-0.3+default-dev,
# Pinning to fix build
 librust-libseccomp-0.4-dev,
Standards-Version: 4.7.2
Homepage: https://gitlab.gnome.org/GNOME/snapshot
Vcs-Browser: https://salsa.debian.org/gnome-team/snapshot
Vcs-Git: https://salsa.debian.org/gnome-team/snapshot.git

Package: gnome-snapshot
Architecture: any
Multi-Arch: foreign
Depends:
 gstreamer1.0-gl,
 gstreamer1.0-gtk4 (>= 0.14),
 gstreamer1.0-libcamera,
 gstreamer1.0-pipewire,
 gstreamer1.0-plugins-bad,
 pipewire,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
 ${misc:Depends},
 ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Breaks:
 snapshot (<< 45.2-4~)
Replaces:
 snapshot (<< 45.2-4~)
Provides:
 snapshot (= ${binary:Version})
Recommends: libcamera-ipa, libspa-0.2-libcamera
Description: Take pictures and videos from your webcam
 snapshot is an app that allows you to take pictures and videos
 with your system's camera. It became GNOME's default webcam app
 in GNOME 45. Furthermore, it allows for scanning and decoding of QR
 codes.

## gnome-snapshot 49.0

=== meson_options.txt ===
--- 
+++ 
@@ -10,13 +10,6 @@
 )
 
 option(
-  'portal',
-  type: 'boolean',
-  value: true,
-  description: 'Enables the usage of the XDG Camera Portal.'
-)
-
-option(
   'x11',
   type: 'feature',
   description: 'Enable X11 specific features.'

=== debian/changelog ===
gnome-snapshot (49.0-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Switch to v5
  * d/control: Bump minimum glycin and rustc version

 -- Matthias Geiger <werdahias@debian.org>  Mon, 15 Sep 2025 13:43:14 +0200

gnome-snapshot (49~rc-3) unstable; urgency=medium

  * d/control: Remove artificial pinning
  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Fri, 12 Sep 2025 19:22:01 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  cargo:native,
  libstd-rust-dev,
  meson (>= 0.59),
- rustc:native (>= 1.80),
+ rustc:native (>= 1.85),
  desktop-file-utils,
  libadwaita-1-dev (>= 1.8~alpha),
  libglib2.0-dev (>= 2.75),
@@ -27,8 +27,8 @@
  librust-futures-channel-0.3+default-dev (>= 0.3.30-~~),
  librust-gettext-rs-0.7+default-dev,
  librust-gettext-rs-0.7+gettext-system-dev,
- librust-glycin-3+default-dev (>= 3.0.0~rc-1),
- librust-glycin-3+gdk4-dev (>= 3.0.0~rc-1),
+ librust-glycin-3+default-dev (>= 3.0.0-~~),
+ librust-glycin-3+gdk4-dev (>= 3.0.0-~~),
  librust-gstreamer-0.24+default-dev,
  librust-gstreamer-0.24+v1-20-dev,
  librust-gstreamer-base-0.24+default-dev,
@@ -43,8 +43,6 @@
  librust-log-0.4+default-dev,
  librust-rqrr-0.10-dev,
  librust-tracing-subscriber-0.3+default-dev,
-# Pinning to fix build
- librust-libseccomp-0.4-dev,
 Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/snapshot
 Vcs-Browser: https://salsa.debian.org/gnome-team/snapshot

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry

# Disable lto on 32-bit arches since it OOMs otherwise
execute_before_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH_BITS),32)
export DEB_BUILD_OPTIONS += optimize=-lto
endif

# Pass DEB_HOST_RUST type to meson to build
override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
	-Dprofile="default" \
	-Dx11=enabled \

override_dh_auto_test:
	dh_auto_test --  --timeout-multiplier 4

# Generate (Static-)Built-Using
# Symlink the meson target dir to target/$(DEB_HOST_RUST_TYPE)/release
# since dh-cargo-built-using expects it there
execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/target/$(DEB_HOST_RUST_TYPE)/
	ln -s $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/$(DEB_HOST_RUST_TYPE)/release target/$(DEB_HOST_RUST_TYPE)/
	/usr/share/cargo/bin/dh-cargo-built-using gnome-snapshot

=== debian/watch ===
Version: 5

Source: https://gitlab.gnome.org/api/v4/projects/GNOME%2Fsnapshot/releases
Matching-Pattern: https://gitlab.gnome.org/GNOME/snapshot/-/archive/[\d.]+?(?:beta|rc)?[\d.]*/snapshot-([\d.]+?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@
Searchmode: plain
Uversionmangle: s/\.(alpha|beta|rc)/~$1/
